Name:           eko
Version:        5.3.3
Release:        1%{?dist}
Summary:        Simple sound editor
License:        Public Domain
Url:            http://semiletov.org/eko/
Source0:        http://semiletov.org/eko/dloads/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
Recommends:     jack
Recommends:     mplayer
Recommends:     ffmpeg
Recommends:     lame

%description
Simple sound editor.

Features:
  * real-time FX rack
  * generators of sine, nouse
  * channel converter
  * RMS and level analysis
  * DC offset corrector
  * reverese
  * handy editing
  * color palettes
  * hotkeys customizations

%prep
%setup -q

%build
%{qmake_qt5} PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-install                                    \
--dir=%{buildroot}%{_datadir}/applications         \
%{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
install -p -m 644 icons/%{name}_icon.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/

mkdir -p %{buildroot}%{_datadir}/%{name}/translations
install -p -m 644 translations/*.qm %{buildroot}%{_datadir}/%{name}/translations

%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc AUTHORS COPYING NEWS* TODO
%license ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}_icon.png
%{_datadir}/%{name}/translations

%changelog
* Sun Mar 19 2017 Mario Blättermann <mario.blaettermann@gmail.com> - 5.3.3-1
- New upstream version

* Fri Mar 17 2017 Mario Blättermann <mario.blaettermann@gmail.com> - 5.3.1-2
- Add translation files

* Fri Jan 27 2017 Mario Blättermann <mario.blaettermann@gmail.com> - 5.3.1-1
- Initial version

